
Redmine - Defect #6986

trackers page not found (404)

2010-11-26 12:13 - Jean Müller

Status: Closed Start date: 2010-11-26

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Administration Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

With an administrator user, when i click "trackers", i've got a 404 error !

Page not found

The page you were trying to access doesn't exist or has been removed.

Windows

MySQL 5.1

ruby 1.8.7 (rubyInstaller)

redmine 1.0.3

History

#1 - 2010-11-26 13:42 - Felix Schäfer

Please copy the error trace you get from log/development.log to here.

#2 - 2010-11-27 14:51 - Jean Müller

Sorry, you can reject it !

It's because of my Apache proxy :

my sub-URI is /tracker and not default /redmine,

My apache configuration is

ProxyPass /tracker/ http://127.0.0.1:3001/

so when my url is https://my-server/tracker/trackers, it becomes http://127.0.0.1/s

see the production.log:

Processing ApplicationController#index (for 192.168.0.254 at 2010-11-26 17:53:45) [GET]

I'm going to put default /redmine sub URI.

Jean

ActionController::RoutingError (No route matches "s" with {:method=>:get}):

Rendering G:/outils/redmine-1.0.3/public/404.html (404 Not Found)

#3 - 2010-11-27 15:58 - Jean-Philippe Lang

IMHO, it's more an apache configuration problem rather than a Redmine issue, isn't it?

#4 - 2010-11-27 16:15 - Jean Müller

It is !

#5 - 2010-11-27 16:50 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

Thanks for the feedback.
